<?php
/**
 * Melscrivi Module
 *
 *  @author    Webgarh <sudhir@cwebconsultants.com>
 *  @copyright Webgarh
 *  @license   http://cwebconsultants.com
 */

$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'account_info` (
        `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`email_address` varchar(128) NOT NULL,
		`password` varchar(60) NOT NULL,
		`api_key` varchar(40) DEFAULT NULL,
		`api_user_id` int(10) NOT NULL,
		`vertical` varchar(40) DEFAULT NULL,
		`is_logged_in` tinyint(1) NOT NULL,
		`date_add` datetime NOT NULL,
		`ip_address` varchar(15) DEFAULT NULL,
        PRIMARY KEY  (`id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'project` (
        `project_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`project_user_id` int(10) NOT NULL,
		`project_name` varchar(128) NOT NULL,
		`project_type` varchar(60) NOT NULL,
		`c_guideline` varchar(40) DEFAULT NULL,
		`c_style` varchar(40) DEFAULT NULL,
		`c_category` varchar(40) DEFAULT NULL,
		`c_brief_note` varchar(255) DEFAULT NULL,
		`c_link` varchar(255) DEFAULT NULL,
		`c_short_description` varchar(255) DEFAULT NULL,
		`c_long_description` varchar(255) DEFAULT NULL,
		`t_language_from` varchar(128) DEFAULT NULL,
		`t_language_to` varchar(128) DEFAULT NULL,
		`t_delivery_date` varchar(20) DEFAULT NULL,
		`t_brief_note` varchar(255) DEFAULT NULL,
		`api_project_id` int(10) NOT NULL,
		`api_guideline_id` int(10) NOT NULL,
		`api_created` tinyint(1) NOT NULL,
		`api_error_code` varchar(255) DEFAULT NULL,
		`date_add` datetime NOT NULL,
        PRIMARY KEY  (`project_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'project_products` (
        `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`project_id` int(10) NOT NULL,
		`product_id` int(10) NOT NULL,
		`product_url` varchar(255) DEFAULT NULL,
		`date_add` datetime NOT NULL,
        PRIMARY KEY  (`id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'project_order` (
        `project_order_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `project_id` int(10) NOT NULL,
		`quote_price` float(8,2) NOT NULL,
		`quote_date_time` datetime NOT NULL,
		`quote_details` varchar(255) DEFAULT NULL,
		`payment_status` tinyint(1) NOT NULL,
		`payment_method` varchar(40) DEFAULT NULL,
		`payment_transaction_id` varchar(255) DEFAULT NULL,
		`amount_paid` FLOAT(8,2) DEFAULT NULL,
		`payment_date_time` datetime DEFAULT NULL,
		`ip_address` varchar(20) DEFAULT NULL,
		`user_email_address` varchar(255) DEFAULT NULL,
		`user_api_id` int(10) DEFAULT NULL,
        `total_products` int(10) NOT NULL,
		`order_sent_to_api` tinyint(1) DEFAULT NULL,
		`order_delivered` tinyint(1) DEFAULT NULL,
		`order_activated` tinyint(1) DEFAULT NULL,
        `date_add` datetime NOT NULL,
		`order_request_xml` varchar(255) DEFAULT NULL,
        PRIMARY KEY  (`project_order_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'api_orders` (
        `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`api_user_id` int(10) NOT NULL,
		`order_id` int(10) NOT NULL,
		`api_order_id` int(10) NOT NULL,
        PRIMARY KEY  (`id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'order_review` (
        `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`order_id` int(10) unsigned NOT NULL,
		`xml_file_path` varchar(255) DEFAULT NULL,
		`status` int(10) NOT NULL,
		`accepted_product_ids` varchar(255) DEFAULT NULL,
		`review_product_ids` varchar(255) DEFAULT NULL,
		`review_date` datetime DEFAULT NULL,
		`review_api_id` int(10) DEFAULT NULL,
		`review_status` int(10) DEFAULT NULL,
        PRIMARY KEY  (`id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

foreach ($sql as $query) {
    if (!Db::getInstance()->execute($query)) {
        return false;
    }
}
